package com.gh.gamecenter.gamecollection.choose

import androidx.core.os.bundleOf
import androidx.fragment.app.Fragment
import com.gh.gamecenter.common.base.fragment.BaseLazyTabFragment
import com.gh.gamecenter.common.constant.EntranceConsts

class AddGamesFragment : BaseLazyTabFragment() {

    override fun initFragmentList(fragments: MutableList<Fragment>) {
        fragments.add(AddSearchGameFragment().apply { bundleOf(EntranceConsts.KEY_NAVIGATION_TITLE to "添加游戏") })
        fragments.add(AddUserPlayedGameFragment())
    }

    override fun initTabTitleList(tabTitleList: MutableList<String>) {
        tabTitleList.add("搜索游戏")
        tabTitleList.add("玩过游戏")
    }
}
